%global         momorel 1

Name:           perl-Test-Warnings
Version:        0.026
Release:        %{momorel}m%{?dist}
Summary:        Test for warnings and the lack of them
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test-Warnings/
Source0:        http://www.cpan.org/authors/id/E/ET/ETHER/Test-Warnings-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.006
BuildRequires:  perl-Cwd
BuildRequires:  perl-Exporter
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-if
BuildRequires:  perl-parent
BuildRequires:  perl-Scalar-List-Util
BuildRequires:  perl-Test-Simple >= 0.94
BuildRequires:  perl-version
Requires:       perl-Exporter
Requires:       perl-parent
Requires:       perl-Test-Simple
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
If you've ever tried to use Test::NoWarnings to confirm there are no
warnings generated by your tests, combined with the convenience of
done_testing to not have to declare a test count, you'll have discovered
that these two features do not play well together, as the test count will
be calculated before the warnings test is run, resulting in a TAP error.
(See examples/test_nowarnings.pl in this distribution for a demonstration.)

%prep
%setup -q -n Test-Warnings-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes dist.ini META.json README
%{perl_vendorlib}/Test/Warnings.pm
%{_mandir}/man3/*

%changelog
* Sat Feb 18 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (0.026-1m)
- update 0.026

* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.016-1m)
- rebuild against perl-5.20.0
- update to 0.16

* Sun Mar  9 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.014-1m)
- update to 0.014
 
* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.013-2m)
- rebuild against perl-5.18.2

* Thu Jan  2 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.013-1m)
- update to 0.013

* Wed Oct 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.012-1m)
- update to 0.012

* Sun Oct 13 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.011-1m)
- update to 0.011

* Sun Sep 29 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.010-1m)
- update to 0.010

* Sat Sep 14 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.009-1m)
- update to 0.009

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.008-2m)
- rebuild against perl-5.18.1

* Tue Jul 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.008-1m)
- update to 0.008

* Sat Jun 22 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.006-1m)
- update to 0.006

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.004-1m)
- update to 0.004
- rebuild against perl-5.18.0

* Sun Apr 14 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.003-1m)
- update to 0.003

* Wed Mar 27 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.002-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
